#include<fstream>
using namespace std;
ifstream f1("DQNP.INP");
ofstream f2("DQNP.OUT");
void np(int a)
{
	if(a!=0)
	{
		np(a/2);
		f2<<a%2;
	}
}
int main()
{
	int n;
	f1>>n;
	//string r="";
	//string a=np(n,r);
	//f2<<a;
	np(n);
	f1.close();
	f2.close();
	return 0;
}
